# Entrega Eliminada

Existen tres formas de eliminar una entrega en Persat

* De forma manual desde la web
* De forma masiva (operaciones masivas) desde la web
* Desde el endpoint de la API [Eliminar Entrega](/modulos/gestion-de-entregas/eliminar-entrega.md)

De estar configurado el webhook, las tres situaciones disparan el evento **delivery.deleted**

{% hint style="info" %}
Si desea configurar los webhooks siga los pasos en [Configurar webhook](/como-usar-la-api/nueva-entrega.md)
{% endhint %}

### Datos enviados en el evento

Los datos son enviados mediante una consulta HTTP POST, en donde el body contiene el siguiente texto en formato JSON.

```json
{
   "eventType":"delivery.deleted",
   "payload":[
      {
      
         "_id":"CLA-0001",
         "state":"PENDING",
         "created":"2021-07-19T21:19:25.316Z",
         "client":{
            "id":22356,
            "name":" TRANSPORTE MARITO SRL",
            "uid_client":"30709397423"
         },
         "delivery_data":{
            "contact":{
               "name":"Contacto 1",
               "phone":"",
               "email":"jose@empresa.com.ar"
            }
         }
      },
      {
         "_id":"CLA-0002",
         "state":"PENDING",
         "created":"2021-07-19T21:19:26.027Z",
         "delivery_data":{
            "contact":{
               "name":"Contacto 2",
               "phone":"312323",
               "email":""
            }
         }
      }
   ]
}
```

{% hint style="info" %} <mark style="color:blue;">**IMPORTANTE:**</mark> Solo los campos mencionados son los que se devuelven.&#x20;

* \_id
* state
* created
* client (en caso de aplicar)
* delivery\_data.contact (name, phone, email)
  {% endhint %}

**eventType:** Tipo de evento. Para el caso de nueva entrega, siempre será "**delivery.deleted**"

**payload:** Es siempre un **array** con las entregas que fueron borradas. En caso de ser una unica entrega, también será un array con un solo item.

**payload.state:** Estado de la entrega antes de ser eliminada. En Persat, la unica forma de eliminar una entrega es que la misma se encuentre pendiente. Por lo que este campo siempre será "PENDING"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/modulos/gestion-de-entregas/nueva-entrega-1/entrega-borrada.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
